Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	This is htop, an interactive process viewer.
Name:      	htop
Version:   	0.8
Release:   	1
License: 	GNU/GPL
URL:		http://htop.sourceforge.net
Group:     	System/Utilities
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	gcc glibc-devel ncurses-devel
Requires:	strace

%description
This is htop, an interactive process viewer.
It requires ncurses. It is tested with Linux 2.6,
but is also reported to work (and was originally developed)
with the 2.4 series.

Comparison between 'htop' and 'top'
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 * In 'htop' you can scroll the list vertically and horizontally
   to see all processes and full command lines.
 * In 'top' you are subject to a delay for each unassigned
   key you press (especially annoying when multi-key escape
   sequences are triggered by accident).
 * 'htop' starts faster ('top' seems to collect data for a while
   before displaying anything).
 * In 'htop' you don't need to type the process number to
   kill a process, in 'top' you do.
 * In 'htop' you don't need to type the process number or
   the priority value to renice a process, in 'top' you do.
 * In 'htop' you can kill multiple processes at once.
 * 'top' is older, hence, more tested.


%prep
%setup -n %{name}-%{version} -q

%build
./configure --prefix="%{_prefix}" --mandir="%{_mandir}"
make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/htop
%_datadir/applications/htop.desktop
%_mandir/man1/htop.1.gz
%_datadir/pixmaps/htop.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8-1
- Version update
* Sat Nov 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Sun Jun 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-1
- Version update
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.6.5-1
- Initial Release
